### Function

# Gtk TreeViewMappingFunc

deprecated: 4.20

#### Declaration

    void
    (* GtkTreeViewMappingFunc) (
      GtkTreeView* tree_view,
      GtkTreePath* path,
      gpointer user_data
    )

#### Description [src]

Function used for gtk_tree_view_map_expanded_rows().

Deprecated since: 4.20

There is no replacement.

#### Parameters

`tree_view`

  Type: `GtkTreeView`

  A `GtkTreeView`.

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  The path that’s expanded.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.